xml-hamlet-0.5.0.3: Hamlet-style quasiquoter for XML content

Safe Haskell | None
Language | Haskell2010

Text.Hamlet.XML

Synopsis

- xml :: QuasiQuoter
- xmlFile :: FilePath -> Q Exp
- class ToAttributes a where
  - toAttributes :: a -> Map Name Text

# Documentation

xml :: QuasiQuoter Source #

xmlFile :: FilePath -> Q Exp Source #

class ToAttributes a where Source #

Convert some value to a list of attribute pairs.

Methods

toAttributes :: a -> Map Name Text Source #

#### Instances

Instances details

ToAttributes [(Text, Text)] Source # |
Instance details Defined in Text.Hamlet.XML Methods toAttributes :: [(Text, Text)] -> Map Name Text Source #
ToAttributes [(Name, Text)] Source # |
Instance details Defined in Text.Hamlet.XML Methods toAttributes :: [(Name, Text)] -> Map Name Text Source #
ToAttributes [(String, String)] Source # |
Instance details Defined in Text.Hamlet.XML Methods toAttributes :: [(String, String)] -> Map Name Text Source #
ToAttributes (Map Text Text) Source # |
Instance details Defined in Text.Hamlet.XML Methods toAttributes :: Map Text Text -> Map Name Text Source #
ToAttributes (Map Name Text) Source # |
Instance details Defined in Text.Hamlet.XML Methods toAttributes :: Map Name Text -> Map Name Text Source #
ToAttributes (Map String String) Source # |
Instance details Defined in Text.Hamlet.XML Methods toAttributes :: Map String String -> Map Name Text Source #
ToAttributes (Text, Text) Source # |
Instance details Defined in Text.Hamlet.XML Methods toAttributes :: (Text, Text) -> Map Name Text Source #
ToAttributes (Name, Text) Source # |
Instance details Defined in Text.Hamlet.XML Methods toAttributes :: (Name, Text) -> Map Name Text Source #
ToAttributes (String, String) Source # |
Instance details Defined in Text.Hamlet.XML Methods toAttributes :: (String, String) -> Map Name Text Source #